Bug 58766 - Flaky Test: fast/canvas/webgl/gl-teximage.html
Summary: Flaky Test: fast/canvas/webgl/gl-teximage.html
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Zhenyao Mo
URL:
Keywords:
Depends on:
Blocks: 50856
  Show dependency treegraph
 
Reported: 2011-04-18 01:30 PDT by WebKit Commit Bot
Modified: 2016-04-13 12:36 PDT (History)
4 users (show)

See Also:


Attachments
Failure diff from eseidel-cq-sf (699 bytes, text/plain)
2011-04-18 01:30 PDT, WebKit Commit Bot
no flags Details
Failure diff from eseidel-cq-sf (699 bytes, text/plain)
2011-04-19 04:01 PDT, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Commit Bot 2011-04-18 01:30:39 PDT
This is an automatically generated bug from the commit-queue.
fast/canvas/webgl/gl-teximage.html has been flaky on the commit-queue.

fast/canvas/webgl/gl-teximage.html was authored by kbr@google.com, mihaip@chromium.org, and zmo@google.com.
http://trac.webkit.org/browser/trunk/LayoutTests/fast/canvas/webgl/gl-teximage.html

The commit-queue just saw fast/canvas/webgl/gl-teximage.html flake (Text diff mismatch) while processing attachment 89542 [details] on bug 58437.
Bot: eseidel-cq-sf  Port: Mac  Platform: Mac OS X 10.6.4

The bots will update this with information from each new failure.

If you believe this bug to be fixed or invalid, feel free to close.  The bots will re-open if the flake re-occurs.

If you would like to track this test fix with another bug, please close this bug as a duplicate.  The bots will follow the duplicate chain when making future comments.
Comment 1 WebKit Commit Bot 2011-04-18 01:30:42 PDT
Created attachment 90003 [details]
Failure diff from eseidel-cq-sf
Comment 2 Kenneth Russell 2011-04-18 13:21:37 PDT
The fact that initialization is failing with INVALID_ENUM is suspicious. Could it have something to do with the NPOT changes that were checked in recently? It would seem that the failures should be happening 100% of the time in this case, though.
Comment 3 Zhenyao Mo 2011-04-18 13:26:44 PDT
I'll have a look.
Comment 4 Zhenyao Mo 2011-04-18 13:28:00 PDT
It should have anothing to do with the NPOT CL because it's the command buffer, and that path is not exercised here.
Comment 5 WebKit Commit Bot 2011-04-19 04:01:24 PDT
The commit-queue just saw fast/canvas/webgl/gl-teximage.html flake (Text diff mismatch) while processing attachment 90163 [details] on bug 58401.
Bot: eseidel-cq-sf  Port: Mac  Platform: Mac OS X 10.6.4
Comment 6 WebKit Commit Bot 2011-04-19 04:01:26 PDT
Created attachment 90172 [details]
Failure diff from eseidel-cq-sf
Comment 7 Jiewen Tan 2016-04-13 12:35:32 PDT
Committed r199510: <http://trac.webkit.org/changeset/199510>
Comment 8 Jiewen Tan 2016-04-13 12:36:19 PDT
Reopen to track the fix.